<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 https://maven.apache.org/xsd/maven-4.0.0.xsd">
	<modelVersion>4.0.0</modelVersion>
	<parent>
		<groupId>org.springframework.boot</groupId>
		<artifactId>spring-boot-starter-parent</artifactId>
		<version>3.2.2</version>
		<relativePath/> <!-- lookup parent from repository -->
	</parent>
	<groupId>eu.gaiax.sd-jwt</groupId>
	<artifactId>issuer</artifactId>
	<version>0.1</version>
	<name>issuer</name>
	<description>issuer</description>
	<properties>
		<java.version>17</java.version>
		<openid4vc.version>1.2308071640.0</openid4vc.version>
		<credentials.version>1.1.1</credentials.version>
		<did.version>1.0.1</did.version>
		<bootstrap.version>5.3.1</bootstrap.version>
		<webjars-locator.version>0.30</webjars-locator.version>
		<font-awesome.version>5.11.2</font-awesome.version>
		<zxing.version>3.3.0</zxing.version>
		<jsonpath.version>2.8.0</jsonpath.version>
		<gson.version>2.10.1</gson.version>
		<jackson-kotlin.version>2.15.0</jackson-kotlin.version>
		<kotlinx-datetime.version>0.5.0</kotlinx-datetime.version>
		<modelmapper.version>3.1.0</modelmapper.version>
	</properties>


	<dependencies>
		<dependency>
			<groupId>org.springframework.boot</groupId>
			<artifactId>spring-boot-starter-web</artifactId>
		</dependency>
		<dependency>
			<groupId>org.springframework.boot</groupId>
			<artifactId>spring-boot-starter-validation</artifactId>
		</dependency>

		<dependency>
			<groupId>org.springframework.boot</groupId>
			<artifactId>spring-boot-starter-data-jpa</artifactId>
		</dependency>
<!--		<dependency>-->
<!--			<groupId>org.postgresql</groupId>-->
<!--			<artifactId>postgresql</artifactId>-->
<!--			<scope>runtime</scope>-->
<!--		</dependency>-->
		<dependency>
			<groupId>com.h2database</groupId>
			<artifactId>h2</artifactId>
			<scope>runtime</scope>
		</dependency>
		<dependency>
			<groupId>org.springdoc</groupId>
			<artifactId>springdoc-openapi-starter-webmvc-ui</artifactId>
			<version>2.2.0</version>
		</dependency>

		<dependency>
			<groupId>org.projectlombok</groupId>
			<artifactId>lombok</artifactId>
			<optional>true</optional>
		</dependency>
		<dependency>
			<groupId>org.modelmapper</groupId>
			<artifactId>modelmapper</artifactId>
			<version>3.1.0</version>
		</dependency>
		<dependency>
			<groupId>org.springframework.boot</groupId>
			<artifactId>spring-boot-starter-test</artifactId>
			<scope>test</scope>
		</dependency>

		<dependency>
			<groupId>info.weboftrust</groupId>
			<artifactId>ld-signatures-java</artifactId>
			<version>1.9.0</version>
		</dependency>
		<!-- https://mvnrepository.com/artifact/org.bitcoinj/bitcoinj-core -->
		<dependency>
			<groupId>org.bitcoinj</groupId>
			<artifactId>bitcoinj-core</artifactId>
			<version>0.16.2</version>
		</dependency>

		<!-- https://mvnrepository.com/artifact/commons-io/commons-io -->
		<dependency>
			<groupId>commons-io</groupId>
			<artifactId>commons-io</artifactId>
			<version>2.16.1</version>
		</dependency>

		<dependency>
			<groupId>id.walt</groupId>
			<artifactId>waltid-openid4vc-jvm</artifactId>
		</dependency>
		<dependency>
			<groupId>id.walt.credentials</groupId>
			<artifactId>waltid-verifiable-credentials-jvm</artifactId>
		</dependency>

		<dependency>
			<groupId>id.walt.did</groupId>
			<artifactId>waltid-did-jvm</artifactId>
		</dependency>

		<dependency>
			<groupId>id.walt.crypto</groupId>
			<artifactId>waltid-crypto-jvm</artifactId>
		</dependency>
		<dependency>
			<groupId>org.jetbrains.kotlinx</groupId>
			<artifactId>kotlinx-serialization-json</artifactId>
			<version>1.6.2</version>
		</dependency>
		<dependency>
			<groupId>com.google.zxing</groupId>
			<artifactId>core</artifactId>
			<version>${zxing.version}</version>
		</dependency>
		<dependency>
			<groupId>com.google.zxing</groupId>
			<artifactId>javase</artifactId>
			<version>${zxing.version}</version>
		</dependency>
		<dependency>
			<groupId>com.jayway.jsonpath</groupId>
			<artifactId>json-path</artifactId>
			<version>${jsonpath.version}</version>
		</dependency>
		<dependency>
			<groupId>com.google.code.gson</groupId>
			<artifactId>gson</artifactId>
			<version>${gson.version}</version>
		</dependency>
		<dependency>
			<groupId>decentralized-identity</groupId>
			<artifactId>jsonld-common-java</artifactId>
		</dependency>
		<dependency>
			<groupId>com.google.crypto.tink</groupId>
			<artifactId>tink</artifactId>
		</dependency>

	</dependencies>

	<dependencyManagement>
		<dependencies>
			<dependency>
				<groupId>com.google.crypto.tink</groupId>
				<artifactId>tink</artifactId>
				<version>1.12.0</version>
			</dependency>
			<dependency>
				<groupId>decentralized-identity</groupId>
				<artifactId>jsonld-common-java</artifactId>
				<version>1.9.0</version>
			</dependency>
			<dependency>
				<groupId>id.walt</groupId>
				<artifactId>waltid-openid4vc-jvm</artifactId>
				<version>0.3.1</version>
			</dependency>
			<dependency>
				<groupId>id.walt.credentials</groupId>
				<artifactId>waltid-verifiable-credentials-jvm</artifactId>
				<version>0.3.1</version>
			</dependency>
			<dependency>
				<groupId>id.walt.did</groupId>
				<artifactId>waltid-did-jvm</artifactId>
				<version>0.3.1</version>
			</dependency>
			<dependency>
				<groupId>id.walt.crypto</groupId>
				<artifactId>waltid-crypto-jvm</artifactId>
				<version>0.3.1</version>
			</dependency>
			<dependency>
				<groupId>id.walt</groupId>
				<artifactId>waltid-sdjwt-jvm</artifactId>
				<version>0.3.1</version>
			</dependency>
		</dependencies>
	</dependencyManagement>

	<build>
		<finalName>jwt-${project.artifactId}-v${project.version}</finalName>
		<plugins>
			<plugin>
				<groupId>org.springframework.boot</groupId>
				<artifactId>spring-boot-maven-plugin</artifactId>
				<configuration>
					<excludes>
						<exclude>
							<groupId>org.projectlombok</groupId>
							<artifactId>lombok</artifactId>
						</exclude>
					</excludes>
				</configuration>
			</plugin>
		</plugins>
	</build>

	<repositories>
		<repository>
			<id>mavenCentral</id>
			<url>https://repo1.maven.org/maven2/</url>
		</repository>

		<repository>
			<id>waltid</id>
			<url>https://maven.waltid.dev/releases</url>
		</repository>

		<repository>
			<id>danubetech-maven-public</id>
			<url>https://repo.danubetech.com/repository/maven-public/</url>
		</repository>

	</repositories>

</project>